/*
Copyright (c) 2018 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
import React from 'react';
import { shallow } from 'enzyme';
import { StatefulComponent } from '../index.js';
describe('StatefulComponent', function () {
  test('basic render', function () {
    function CustomRoot() {
      return React.createElement("span", null);
    }

    var props = {
      overrides: {
        Root: CustomRoot
      },
      initialState: {
        prop: false
      },
      onClick: jest.fn(),
      stateReducer: jest.fn()
    };
    var component = shallow(React.createElement(StatefulComponent, props));
    expect(component.props()).toMatchObject(props);
  });
});